import * as vue from 'vue';
import { PropType, VNodeProps } from 'vue';

interface GlobalEventsProps {
    target?: Extract<keyof Window, string>;
    filter?: EventFilter;
}
interface EventFilter<E extends Event = Event> {
    (event: E, listener: EventListener, name: string): unknown;
}
declare const GlobalEventsImpl: vue.DefineComponent<{
    target: {
        type: StringConstructor;
        default: string;
    };
    filter: {
        type: PropType<EventFilter<Event>>;
        default: () => () => true;
    };
    stop: BooleanConstructor;
    prevent: BooleanConstructor;
}, () => null, unknown, {}, {}, vue.ComponentOptionsMixin, vue.ComponentOptionsMixin, {}, string, VNodeProps & vue.AllowedComponentProps & vue.ComponentCustomProps, Readonly<vue.ExtractPropTypes<{
    target: {
        type: StringConstructor;
        default: string;
    };
    filter: {
        type: PropType<EventFilter<Event>>;
        default: () => () => true;
    };
    stop: BooleanConstructor;
    prevent: BooleanConstructor;
}>>, {
    stop: boolean;
    filter: EventFilter<Event>;
    target: string;
    prevent: boolean;
}, {}>;
/**
 * Component of vue-lib.
 */
declare const GlobalEvents: new () => {
    $props: VNodeProps & GlobalEventsProps;
};

declare function excludeElements(): void;

export { EventFilter, GlobalEvents, GlobalEventsImpl, GlobalEventsProps, excludeElements };
